Skip to main content
POST
Start product translation

Authorizations

Authorization
string
header
required

Use a project API key from Settings > API Access. Send it as Authorization: Bearer wpk_.... See authentication and scopes for setup and permissions.

Headers

Idempotency-Key
string

Reuse this key for retries of the same write. Scoped to this API key; retained until key deletion. Different requests with the same key return 409.

Required string length: 1 - 128
Pattern: ^[!-~]+$

Body

application/json
product_ids
integer[]
required
Required array length: 1 - 1000 elements
Required range: x <= 9223372036854776000
target_locales
string[]
required
Required array length: 1 - 25 elements
Required string length: 1 - 32
fields
enum<string>[]
required
Required array length: 1 - 8 elements
Available options:
name,
name_long,
description,
short_description,
meta_title,
meta_description,
meta_keywords,
faqs
translation_instructions
string
default:""
Maximum string length: 500
high_quality
boolean | null
force_retranslate
boolean
default:false
max_credits
integer | null
Required range: x >= 0

Response

Accepted

task_id
string
required
status
string
required
total_items
integer
required
estimated_credits
integer
required
deduplicated
boolean
default:false